Class HttpEndpointBuilderFactory.HttpHeaderNameBuilder
- java.lang.Object
-
- org.apache.camel.builder.endpoint.dsl.HttpEndpointBuilderFactory.HttpHeaderNameBuilder
-
- Enclosing interface:
- HttpEndpointBuilderFactory
public static class HttpEndpointBuilderFactory.HttpHeaderNameBuilder extends Object
The builder of headers' name for the HTTP component.
-
-
Constructor Summary
Constructors Constructor Description HttpHeaderNameBuilder()
-
Method Summary
All Methods Instance Methods Concrete Methods Modifier and Type Method Description StringcontentEncoding()The HTTP content encoding.StringcontentType()The HTTP content type.Stringhost()The target host.StringhttpCharacterEncoding()The character encoding.StringhttpMethod()The http method to use.StringhttpPath()Request URI's path, the header will be used to build the request URI with the HTTP_URI.StringhttpProtocolVersion()The version of the http protocol used.StringhttpQuery()URI parameters.StringhttpRawQuery()The http raw query.StringhttpResponseCode()The HTTP response code from the external server.StringhttpResponseText()The HTTP response text from the external server.StringhttpUri()URI to call.StringrestHttpQuery()The rest http query.StringrestHttpUri()The rest http URI.
-
-
-
Method Detail
-
contentEncoding
public String contentEncoding()
The HTTP content encoding. Is set on both the IN and OUT message to provide a content encoding, such as gzip. The option is a:Stringtype. Group: producer- Returns:
- the name of the header
Content-Encoding.
-
httpResponseCode
public String httpResponseCode()
The HTTP response code from the external server. Is 200 for OK. The option is a:inttype. Group: producer- Returns:
- the name of the header
HttpResponseCode.
-
httpResponseText
public String httpResponseText()
The HTTP response text from the external server. The option is a:Stringtype. Group: producer- Returns:
- the name of the header
HttpResponseText.
-
httpQuery
public String httpQuery()
URI parameters. Will override existing URI parameters set directly on the endpoint. The option is a:Stringtype. Group: producer- Returns:
- the name of the header
HttpQuery.
-
httpProtocolVersion
public String httpProtocolVersion()
The version of the http protocol used. The option is a:Stringtype. Group: producer- Returns:
- the name of the header
HttpProtocolVersion.
-
host
public String host()
The target host. The option is a:Stringtype. Group: producer- Returns:
- the name of the header
Host.
-
restHttpUri
public String restHttpUri()
The rest http URI. The option is a:Stringtype. Group: producer- Returns:
- the name of the header
RestHttpUri.
-
httpUri
public String httpUri()
URI to call. Will override existing URI set directly on the endpoint. This uri is the uri of the http server to call. Its not the same as the Camel endpoint uri, where you can configure endpoint options such as security etc. This header does not support that, its only the uri of the http server. The option is a:Stringtype. Group: producer- Returns:
- the name of the header
HttpUri.
-
httpPath
public String httpPath()
Request URI's path, the header will be used to build the request URI with the HTTP_URI. The option is a:Stringtype. Group: producer- Returns:
- the name of the header
HttpPath.
-
restHttpQuery
public String restHttpQuery()
The rest http query. The option is a:Stringtype. Group: producer- Returns:
- the name of the header
RestHttpQuery.
-
httpRawQuery
public String httpRawQuery()
The http raw query. The option is a:Stringtype. Group: producer- Returns:
- the name of the header
HttpRawQuery.
-
httpMethod
public String httpMethod()
The http method to use. The option is a:org.apache.camel.component.http.HttpMethodstype. Group: producer- Returns:
- the name of the header
HttpMethod.
-
httpCharacterEncoding
public String httpCharacterEncoding()
The character encoding. The option is a:Stringtype. Group: producer- Returns:
- the name of the header
HttpCharacterEncoding.
-
contentType
public String contentType()
The HTTP content type. Is set on both the IN and OUT message to provide a content type, such as text/html. The option is a:Stringtype. Group: producer- Returns:
- the name of the header
Content-Type.
-
-